Create a dish
Create a dish and define the dish’s details.
The client app will display the name, description, and price and will use the category to determine where to display the dish in the menu. The server will check the dish’s ingredient_id to ensure essential ingredients are in stock (if not in stock, the dish will be disabled in the client app).
The KDS will use the station, preparation_time, and ingredients array when prioritizing and prepping the dish.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The request body to create a new dish in the client app requires the following properties:
categorydescriptionimage_nameingredientsingredients.ingredient_idingredients.is_essential
preparation_timenamepricestation
The name of the dish to display in the client app.
"Risotto alla Milanese"
"A description of the resource."
Used to indicate where in the client app the dish should appear for ordering and used by the expediter to prioritize dishes for preparation.
Appetizer, Main Course, Dessert, Drinks "Main Course"
The name of the image file related to a specific dish. When present, the image for the dish will appear in the client app with the other dish details.
"burger"
The list of ingredients related to a specific dish.
The amount of time, in minutes, it takes to prepate the dish. Used by the expeditor and staff to prioritize dish preparation at the various stations.
45
The price used by the client app to calculate order cost.
999
The prep station responsible for preparing the dish. This value is used by the expeditor to prioritize and triage order preparation for the KDS stations.
cold, hot, beverages "hot"
Response
Dish successfully created
A unique alpha-numeric string generated by the system when creating a resource (e.g., dishes, ingredients, etc). Ids are required for retrieving the properties of a specific resource.
"674d0bf5c28b69001f8e03a1"
The date and time the resource was created. Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z
"2024-04-22T10:00:00Z"
The name of the dish that appears in the client app and for the KDS.
"Risotto alla Milanese"
"A description of the resource."
Used to indicate where in the client app the dish should appear for ordering and used by the expediter to prioritize dishes for preparation.
Appetizer, Main Course, Dessert, Drinks "Main Course"
The name of the image file related to a specific dish. When present, the image for the dish will appear in the client app with the other dish details.
"burger"
The list of ingredients related to a specific dish.
The price used by the client app to calculate order cost.
999
The price used by the client app to calculate order cost.
999
The prep station responsible for preparing the dish. This value is used by the expeditor to prioritize and triage order preparation for the KDS stations.
cold, hot, beverages "hot"